Subject: [IPP] Apple has reviewed the JPS2 specification and has comments

From: Michael Sweet <[email-masked]>
Date: Mon, 21 Jun 2010 12:58:06 -0700

Comments:

1. The document date is wrong in the headers.

2. The "font-size-requested" attribute uses points as the units, however it should probably use a higher-precision unit (at least decipoints, or 1/720th of an inch) to avoid issues with getting common fixed-width font spacing right (e.g. 17 characters per inch with a standard Courier font would need a point size of 5.293...) [And apologies for the late notice on this - I haven't read through the older material in a while...]

3. Question: do we need the PWG process reference at the beginning of section 3? Do we need to explain why we organize our standards documents this way?

4. On line 372 of the -rev document you say "these features are useful in the "light production printing" environments, but we don't define what "light production printing" is, just "production printing".

5. Line 427 - I think Close-Job is Owner + Operator, per RFC 2911's description of Send-Document and the Close-Job references in JPS2:

   Access Rights: The authenticated user (see section 8.3) performing
   this operation must either be the job owner (as determined in the
   Create-Job operation) or an operator or administrator of the Printer
   object (see Sections 1 and 8.5).  Otherwise, the IPP object MUST
   reject the operation and return: 'client-error-forbidden', 'client-
   error-not-authenticated', or 'client-error-not-authorized' as
   appropriate.

6. Line 567-568: The definition says up to 255 characters for job-password and job-password-supported, but here we say 127 octets.

7. Section 10.5 (job-spooling-supported) - shouldn't this be a 1setOf? Also, lines 580-581 basically says that the values are implementation-dependent regardless of whether the attribute is supported or not. :) Based on the current description I think we need to specify when the value is 1setOf and when it is not (i.e. a Get-Printer-Attributes request with a document-format would return the value for that format, otherwise you'd get the value for the default format or a 1setOf if the answer can't be made definitively without a format...) This will also affect the registration info on line 1073.

________________________________________________________________________
Michael Sweet, Senior Printing System Engineer, PWG Chair

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp